/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.util.task.valueobject;

/**
 * 処理クラス [BlancoXliffUtilChangeProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoXliffUtilChangeProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * XLIFF (*.xlf) ディレクトリ
     *
     * フィールド: [xliffdir]。
     */
    private String fXliffdir;

    /**
     * target が無い場合に target をセットするかどうか。
     *
     * フィールド: [settargetifnotexist]。
     * デフォルト: [false]。
     */
    private boolean fSettargetifnotexist = false;

    /**
     * alt-trans をソートするかどうか。参照実装では match-quality によるソート。
     *
     * フィールド: [sortalttrans]。
     * デフォルト: [false]。
     */
    private boolean fSortalttrans = false;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [xliffdir] の値を設定します。
     *
     * フィールドの説明: [XLIFF (*.xlf) ディレクトリ]。
     *
     * @param argXliffdir フィールド[xliffdir]に設定する値。
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド [xliffdir] の値を取得します。
     *
     * フィールドの説明: [XLIFF (*.xlf) ディレクトリ]。
     *
     * @return フィールド[xliffdir]から取得した値。
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [settargetifnotexist] の値を設定します。
     *
     * フィールドの説明: [target が無い場合に target をセットするかどうか。]。
     *
     * @param argSettargetifnotexist フィールド[settargetifnotexist]に設定する値。
     */
    public void setSettargetifnotexist(final boolean argSettargetifnotexist) {
        fSettargetifnotexist = argSettargetifnotexist;
    }

    /**
     * フィールド [settargetifnotexist] の値を取得します。
     *
     * フィールドの説明: [target が無い場合に target をセットするかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[settargetifnotexist]から取得した値。
     */
    public boolean getSettargetifnotexist() {
        return fSettargetifnotexist;
    }

    /**
     * フィールド [sortalttrans] の値を設定します。
     *
     * フィールドの説明: [alt-trans をソートするかどうか。参照実装では match-quality によるソート。]。
     *
     * @param argSortalttrans フィールド[sortalttrans]に設定する値。
     */
    public void setSortalttrans(final boolean argSortalttrans) {
        fSortalttrans = argSortalttrans;
    }

    /**
     * フィールド [sortalttrans] の値を取得します。
     *
     * フィールドの説明: [alt-trans をソートするかどうか。参照実装では match-quality によるソート。]。
     * デフォルト: [false]。
     *
     * @return フィールド[sortalttrans]から取得した値。
     */
    public boolean getSortalttrans() {
        return fSortalttrans;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.util.task.valueobject.BlancoXliffUtilChangeProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",settargetifnotexist=" + fSettargetifnotexist);
        buf.append(",sortalttrans=" + fSortalttrans);
        buf.append("]");
        return buf.toString();
    }
}
